source: squid-ssl/trunk/fuentes/helpers/basic_auth/LDAP/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 21 months ago

Initial release

File size: 41.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = basic_ldap_auth$(EXEEXT)
95subdir = helpers/basic_auth/LDAP
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_basic_ldap_auth_OBJECTS = basic_ldap_auth.$(OBJEXT)
165basic_ldap_auth_OBJECTS = $(am_basic_ldap_auth_OBJECTS)
166basic_ldap_auth_LDADD = $(LDADD)
167@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171basic_ldap_auth_DEPENDENCIES = $(top_builddir)/lib/libmiscencoding.la \
172        $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3) \
173        $(am__DEPENDENCIES_3)
174AM_V_lt = $(am__v_lt_@AM_V@)
175am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
176am__v_lt_0 = --silent
177am__v_lt_1 =
178AM_V_P = $(am__v_P_@AM_V@)
179am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
180am__v_P_0 = false
181am__v_P_1 = :
182AM_V_GEN = $(am__v_GEN_@AM_V@)
183am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
184am__v_GEN_0 = @echo "  GEN     " $@;
185am__v_GEN_1 =
186AM_V_at = $(am__v_at_@AM_V@)
187am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
188am__v_at_0 = @
189am__v_at_1 =
190DEFAULT_INCLUDES =
191depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
192am__depfiles_maybe = depfiles
193am__mv = mv -f
194CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
195        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
196LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
197        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
198        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
199        $(AM_CXXFLAGS) $(CXXFLAGS)
200AM_V_CXX = $(am__v_CXX_@AM_V@)
201am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
202am__v_CXX_0 = @echo "  CXX     " $@;
203am__v_CXX_1 =
204CXXLD = $(CXX)
205CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
206        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
207        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
208AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
209am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
210am__v_CXXLD_0 = @echo "  CXXLD   " $@;
211am__v_CXXLD_1 =
212SOURCES = $(basic_ldap_auth_SOURCES)
213DIST_SOURCES = $(basic_ldap_auth_SOURCES)
214am__can_run_installinfo = \
215  case $$AM_UPDATE_INFO_DIR in \
216    n|no|NO) false;; \
217    *) (install-info --version) >/dev/null 2>&1;; \
218  esac
219am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
220am__vpath_adj = case $$p in \
221    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
222    *) f=$$p;; \
223  esac;
224am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
225am__install_max = 40
226am__nobase_strip_setup = \
227  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
228am__nobase_strip = \
229  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
230am__nobase_list = $(am__nobase_strip_setup); \
231  for p in $$list; do echo "$$p $$p"; done | \
232  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
233  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
234    if (++n[$$2] == $(am__install_max)) \
235      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
236    END { for (dir in files) print dir, files[dir] }'
237am__base_list = \
238  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
239  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
240am__uninstall_files_from_dir = { \
241  test -z "$$files" \
242    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
243    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
244         $(am__cd) "$$dir" && rm -f $$files; }; \
245  }
246man8dir = $(mandir)/man8
247NROFF = nroff
248MANS = $(man_MANS)
249am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
250# Read a list of newline-separated strings from the standard input,
251# and print each of them once, without duplicates.  Input order is
252# *not* preserved.
253am__uniquify_input = $(AWK) '\
254  BEGIN { nonempty = 0; } \
255  { items[$$0] = 1; nonempty = 1; } \
256  END { if (nonempty) { for (i in items) print i; }; } \
257'
258# Make sure the list of sources is unique.  This is necessary because,
259# e.g., the same source file might be shared among _SOURCES variables
260# for different programs/libraries.
261am__define_uniq_tagged_files = \
262  list='$(am__tagged_files)'; \
263  unique=`for i in $$list; do \
264    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
265  done | $(am__uniquify_input)`
266ETAGS = etags
267CTAGS = ctags
268am__tty_colors_dummy = \
269  mgn= red= grn= lgn= blu= brg= std=; \
270  am__color_tests=no
271am__tty_colors = { \
272  $(am__tty_colors_dummy); \
273  if test "X$(AM_COLOR_TESTS)" = Xno; then \
274    am__color_tests=no; \
275  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
276    am__color_tests=yes; \
277  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
278    am__color_tests=yes; \
279  fi; \
280  if test $$am__color_tests = yes; then \
281    red='[0;31m'; \
282    grn='[0;32m'; \
283    lgn='[1;32m'; \
284    blu='[1;34m'; \
285    mgn='[0;35m'; \
286    brg='[1m'; \
287    std='[m'; \
288  fi; \
289}
290am__recheck_rx = ^[     ]*:recheck:[    ]*
291am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
292am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
293# A command that, given a newline-separated list of test names on the
294# standard input, print the name of the tests that are to be re-run
295# upon "make recheck".
296am__list_recheck_tests = $(AWK) '{ \
297  recheck = 1; \
298  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
299    { \
300      if (rc < 0) \
301        { \
302          if ((getline line2 < ($$0 ".log")) < 0) \
303            recheck = 0; \
304          break; \
305        } \
306      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
307        { \
308          recheck = 0; \
309          break; \
310        } \
311      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
312        { \
313          break; \
314        } \
315    }; \
316  if (recheck) \
317    print $$0; \
318  close ($$0 ".trs"); \
319  close ($$0 ".log"); \
320}'
321# A command that, given a newline-separated list of test names on the
322# standard input, create the global log from their .trs and .log files.
323am__create_global_log = $(AWK) ' \
324function fatal(msg) \
325{ \
326  print "fatal: making $@: " msg | "cat >&2"; \
327  exit 1; \
328} \
329function rst_section(header) \
330{ \
331  print header; \
332  len = length(header); \
333  for (i = 1; i <= len; i = i + 1) \
334    printf "="; \
335  printf "\n\n"; \
336} \
337{ \
338  copy_in_global_log = 1; \
339  global_test_result = "RUN"; \
340  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
341    { \
342      if (rc < 0) \
343         fatal("failed to read from " $$0 ".trs"); \
344      if (line ~ /$(am__global_test_result_rx)/) \
345        { \
346          sub("$(am__global_test_result_rx)", "", line); \
347          sub("[        ]*$$", "", line); \
348          global_test_result = line; \
349        } \
350      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
351        copy_in_global_log = 0; \
352    }; \
353  if (copy_in_global_log) \
354    { \
355      rst_section(global_test_result ": " $$0); \
356      while ((rc = (getline line < ($$0 ".log"))) != 0) \
357      { \
358        if (rc < 0) \
359          fatal("failed to read from " $$0 ".log"); \
360        print line; \
361      }; \
362      printf "\n"; \
363    }; \
364  close ($$0 ".trs"); \
365  close ($$0 ".log"); \
366}'
367# Restructured Text title.
368am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
369# Solaris 10 'make', and several other traditional 'make' implementations,
370# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
371# by disabling -e (using the XSI extension "set +e") if it's set.
372am__sh_e_setup = case $$- in *e*) set +e;; esac
373# Default flags passed to test drivers.
374am__common_driver_flags = \
375  --color-tests "$$am__color_tests" \
376  --enable-hard-errors "$$am__enable_hard_errors" \
377  --expect-failure "$$am__expect_failure"
378# To be inserted before the command running the test.  Creates the
379# directory for the log if needed.  Stores in $dir the directory
380# containing $f, in $tst the test, in $log the log.  Executes the
381# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
382# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
383# will run the test scripts (or their associated LOG_COMPILER, if
384# thy have one).
385am__check_pre = \
386$(am__sh_e_setup);                                      \
387$(am__vpath_adj_setup) $(am__vpath_adj)                 \
388$(am__tty_colors);                                      \
389srcdir=$(srcdir); export srcdir;                        \
390case "$@" in                                            \
391  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
392    *) am__odir=.;;                                     \
393esac;                                                   \
394test "x$$am__odir" = x"." || test -d "$$am__odir"       \
395  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
396if test -f "./$$f"; then dir=./;                        \
397elif test -f "$$f"; then dir=;                          \
398else dir="$(srcdir)/"; fi;                              \
399tst=$$dir$$f; log='$@';                                 \
400if test -n '$(DISABLE_HARD_ERRORS)'; then               \
401  am__enable_hard_errors=no;                            \
402else                                                    \
403  am__enable_hard_errors=yes;                           \
404fi;                                                     \
405case " $(XFAIL_TESTS) " in                              \
406  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
407    am__expect_failure=yes;;                            \
408  *)                                                    \
409    am__expect_failure=no;;                             \
410esac;                                                   \
411$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
412# A shell command to get the names of the tests scripts with any registered
413# extension removed (i.e., equivalently, the names of the test logs, with
414# the '.log' extension removed).  The result is saved in the shell variable
415# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
416# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
417# since that might cause problem with VPATH rewrites for suffix-less tests.
418# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
419am__set_TESTS_bases = \
420  bases='$(TEST_LOGS)'; \
421  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
422  bases=`echo $$bases`
423RECHECK_LOGS = $(TEST_LOGS)
424AM_RECURSIVE_TARGETS = check recheck
425TEST_SUITE_LOG = test-suite.log
426TEST_EXTENSIONS = @EXEEXT@ .test
427am__test_logs1 = $(TESTS:=.log)
428am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
429TEST_LOGS = $(am__test_logs2:.test.log=.log)
430TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
431TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
432        $(TEST_LOG_FLAGS)
433am__set_b = \
434  case '$@' in \
435    */*) \
436      case '$*' in \
437        */*) b='$*';; \
438          *) b=`echo '$@' | sed 's/\.log$$//'`; \
439       esac;; \
440    *) \
441      b='$*';; \
442  esac
443am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
444        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
445DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
446ACLOCAL = @ACLOCAL@
447ADAPTATION_LIBS = @ADAPTATION_LIBS@
448ALLOCA = @ALLOCA@
449AMTAR = @AMTAR@
450AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
451AR = @AR@
452ARGZ_H = @ARGZ_H@
453AR_R = @AR_R@
454AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
455AUTH_MODULES = @AUTH_MODULES@
456AUTOCONF = @AUTOCONF@
457AUTOHEADER = @AUTOHEADER@
458AUTOMAKE = @AUTOMAKE@
459AWK = @AWK@
460BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
461BUILDCXX = @BUILDCXX@
462BUILDCXXFLAGS = @BUILDCXXFLAGS@
463BZR = @BZR@
464CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
465CC = @CC@
466CCDEPMODE = @CCDEPMODE@
467CFLAGS = @CFLAGS@
468CGIEXT = @CGIEXT@
469CHMOD = @CHMOD@
470CPP = @CPP@
471CPPFLAGS = @CPPFLAGS@
472CPPUNITCONFIG = @CPPUNITCONFIG@
473CRYPTLIB = @CRYPTLIB@
474CXX = @CXX@
475CXXCPP = @CXXCPP@
476CXXDEPMODE = @CXXDEPMODE@
477CXXFLAGS = @CXXFLAGS@
478CYGPATH_W = @CYGPATH_W@
479DEFAULT_HOSTS = @DEFAULT_HOSTS@
480DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
481DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
482DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
483DEFS = @DEFS@
484DEPDIR = @DEPDIR@
485DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
486DISK_LIBS = @DISK_LIBS@
487DISK_LINKOBJS = @DISK_LINKOBJS@
488DISK_MODULES = @DISK_MODULES@
489DISK_OS_LIBS = @DISK_OS_LIBS@
490DISK_PROGRAMS = @DISK_PROGRAMS@
491DLLTOOL = @DLLTOOL@
492DSYMUTIL = @DSYMUTIL@
493DUMPBIN = @DUMPBIN@
494ECAP_LIBS = @ECAP_LIBS@
495ECHO_C = @ECHO_C@
496ECHO_N = @ECHO_N@
497ECHO_T = @ECHO_T@
498EGREP = @EGREP@
499EPOLL_LIBS = @EPOLL_LIBS@
500EUILIB = @EUILIB@
501EXEEXT = @EXEEXT@
502EXPATLIB = @EXPATLIB@
503EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
504EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
505EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
506FALSE = @FALSE@
507FGREP = @FGREP@
508GREP = @GREP@
509HAVE_CXX11 = @HAVE_CXX11@
510ICAP_LIBS = @ICAP_LIBS@
511INCLTDL = @INCLTDL@
512INSTALL = @INSTALL@
513INSTALL_DATA = @INSTALL_DATA@
514INSTALL_PROGRAM = @INSTALL_PROGRAM@
515INSTALL_SCRIPT = @INSTALL_SCRIPT@
516INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
517KRB5INCS = @KRB5INCS@
518KRB5LIBS = @KRB5LIBS@
519LBERLIB = @LBERLIB@
520LD = @LD@
521LDAPLIB = @LDAPLIB@
522LDFLAGS = @LDFLAGS@
523LIBADD_DL = @LIBADD_DL@
524LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
525LIBADD_DLOPEN = @LIBADD_DLOPEN@
526LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
527LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
528LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
529LIBLTDL = @LIBLTDL@
530LIBOBJS = @LIBOBJS@
531LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
532LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
533LIBS = @LIBS@
534LIBSASL = @LIBSASL@
535LIBTOOL = @LIBTOOL@
536LIB_DB = @LIB_DB@
537LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
538LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
539LINUXDOC = @LINUXDOC@
540LIPO = @LIPO@
541LN = @LN@
542LN_S = @LN_S@
543LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
544LTDLDEPS = @LTDLDEPS@
545LTDLINCL = @LTDLINCL@
546LTDLOPEN = @LTDLOPEN@
547LTLIBOBJS = @LTLIBOBJS@
548LT_CONFIG_H = @LT_CONFIG_H@
549LT_DLLOADERS = @LT_DLLOADERS@
550LT_DLPREOPEN = @LT_DLPREOPEN@
551MAINT = @MAINT@
552MAKEINFO = @MAKEINFO@
553MANIFEST_TOOL = @MANIFEST_TOOL@
554MINGW_LIBS = @MINGW_LIBS@
555MKDIR = @MKDIR@
556MKDIR_P = @MKDIR_P@
557MV = @MV@
558NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
559NETTLELIB = @NETTLELIB@
560NM = @NM@
561NMEDIT = @NMEDIT@
562NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
563OBJDUMP = @OBJDUMP@
564OBJEXT = @OBJEXT@
565OTOOL = @OTOOL@
566OTOOL64 = @OTOOL64@
567PACKAGE = @PACKAGE@
568PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
569PACKAGE_NAME = @PACKAGE_NAME@
570PACKAGE_STRING = @PACKAGE_STRING@
571PACKAGE_TARNAME = @PACKAGE_TARNAME@
572PACKAGE_URL = @PACKAGE_URL@
573PACKAGE_VERSION = @PACKAGE_VERSION@
574PATH_SEPARATOR = @PATH_SEPARATOR@
575PERL = @PERL@
576PKG_CONFIG = @PKG_CONFIG@
577PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
578PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
579PO2HTML = @PO2HTML@
580PO2TEXT = @PO2TEXT@
581POD2MAN = @POD2MAN@
582RANLIB = @RANLIB@
583REGEXLIB = @REGEXLIB@
584REPL_LIBS = @REPL_LIBS@
585REPL_OBJS = @REPL_OBJS@
586REPL_POLICIES = @REPL_POLICIES@
587RM = @RM@
588SED = @SED@
589SET_MAKE = @SET_MAKE@
590SH = @SH@
591SHELL = @SHELL@
592SMBCLIENT = @SMBCLIENT@
593SNMPLIB = @SNMPLIB@
594SQUID_CFLAGS = @SQUID_CFLAGS@
595SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
596SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
597SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
598SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
599SSLLIB = @SSLLIB@
600STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
601STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
602STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
603STORE_TESTS = @STORE_TESTS@
604STRIP = @STRIP@
605TR = @TR@
606TRUE = @TRUE@
607URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
608VERSION = @VERSION@
609WBINFO = @WBINFO@
610WIN32_PSAPI = @WIN32_PSAPI@
611XMLLIB = @XMLLIB@
612XTRA_LIBS = @XTRA_LIBS@
613XTRA_OBJS = @XTRA_OBJS@
614abs_builddir = @abs_builddir@
615abs_srcdir = @abs_srcdir@
616abs_top_builddir = @abs_top_builddir@
617abs_top_srcdir = @abs_top_srcdir@
618ac_ct_AR = @ac_ct_AR@
619ac_ct_CC = @ac_ct_CC@
620ac_ct_CXX = @ac_ct_CXX@
621ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
622am__include = @am__include@
623am__leading_dot = @am__leading_dot@
624am__quote = @am__quote@
625am__tar = @am__tar@
626am__untar = @am__untar@
627bindir = @bindir@
628build = @build@
629build_alias = @build_alias@
630build_cpu = @build_cpu@
631build_os = @build_os@
632build_vendor = @build_vendor@
633builddir = @builddir@
634datadir = @datadir@
635datarootdir = @datarootdir@
636docdir = @docdir@
637dvidir = @dvidir@
638exec_prefix = @exec_prefix@
639host = @host@
640host_alias = @host_alias@
641host_cpu = @host_cpu@
642host_os = @host_os@
643host_vendor = @host_vendor@
644htmldir = @htmldir@
645includedir = @includedir@
646infodir = @infodir@
647install_sh = @install_sh@
648krb5_config = @krb5_config@
649libdir = @libdir@
650libexecdir = @libexecdir@
651localedir = @localedir@
652localstatedir = @localstatedir@
653ltdl_LIBOBJS = @ltdl_LIBOBJS@
654ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
655mandir = @mandir@
656mkdir_p = @mkdir_p@
657oldincludedir = @oldincludedir@
658pdfdir = @pdfdir@
659prefix = @prefix@
660program_transform_name = @program_transform_name@
661psdir = @psdir@
662runstatedir = @runstatedir@
663sbindir = @sbindir@
664sharedstatedir = @sharedstatedir@
665srcdir = @srcdir@
666subdirs = @subdirs@
667sys_symbol_underscore = @sys_symbol_underscore@
668sysconfdir = @sysconfdir@
669target_alias = @target_alias@
670top_build_prefix = @top_build_prefix@
671top_builddir = @top_builddir@
672top_srcdir = @top_srcdir@
673AM_CFLAGS = $(SQUID_CFLAGS)
674AM_CXXFLAGS = $(SQUID_CXXFLAGS)
675CLEANFILES =
676AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
677        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
678        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
679        $(am__append_1)
680@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
681@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
682COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
683subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
684man_MANS = basic_ldap_auth.8
685EXTRA_DIST = basic_ldap_auth.8 required.m4
686basic_ldap_auth_SOURCES = basic_ldap_auth.cc
687LDADD = \
688        $(top_builddir)/lib/libmiscencoding.la \
689        $(COMPAT_LIB) \
690        $(LDAPLIB) \
691        $(LBERLIB)
692
693all: all-am
694
695.SUFFIXES:
696.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
697$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
698        @for dep in $?; do \
699          case '$(am__configure_deps)' in \
700            *$$dep*) \
701              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
702                && { if test -f $@; then exit 0; else break; fi; }; \
703              exit 1;; \
704          esac; \
705        done; \
706        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/basic_auth/LDAP/Makefile'; \
707        $(am__cd) $(top_srcdir) && \
708          $(AUTOMAKE) --foreign helpers/basic_auth/LDAP/Makefile
709Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
710        @case '$?' in \
711          *config.status*) \
712            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
713          *) \
714            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
715            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
716        esac;
717$(top_srcdir)/src/Common.am $(am__empty):
718
719$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
720        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
721
722$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
723        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
724$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
725        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
726$(am__aclocal_m4_deps):
727
728clean-checkPROGRAMS:
729        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
730        echo " rm -f" $$list; \
731        rm -f $$list || exit $$?; \
732        test -n "$(EXEEXT)" || exit 0; \
733        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
734        echo " rm -f" $$list; \
735        rm -f $$list
736install-libexecPROGRAMS: $(libexec_PROGRAMS)
737        @$(NORMAL_INSTALL)
738        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
739        if test -n "$$list"; then \
740          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
741          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
742        fi; \
743        for p in $$list; do echo "$$p $$p"; done | \
744        sed 's/$(EXEEXT)$$//' | \
745        while read p p1; do if test -f $$p \
746         || test -f $$p1 \
747          ; then echo "$$p"; echo "$$p"; else :; fi; \
748        done | \
749        sed -e 'p;s,.*/,,;n;h' \
750            -e 's|.*|.|' \
751            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
752        sed 'N;N;N;s,\n, ,g' | \
753        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
754          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
755            if ($$2 == $$4) files[d] = files[d] " " $$1; \
756            else { print "f", $$3 "/" $$4, $$1; } } \
757          END { for (d in files) print "f", d, files[d] }' | \
758        while read type dir files; do \
759            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
760            test -z "$$files" || { \
761            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
762            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
763            } \
764        ; done
765
766uninstall-libexecPROGRAMS:
767        @$(NORMAL_UNINSTALL)
768        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
769        files=`for p in $$list; do echo "$$p"; done | \
770          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
771              -e 's/$$/$(EXEEXT)/' \
772        `; \
773        test -n "$$list" || exit 0; \
774        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
775        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
776
777clean-libexecPROGRAMS:
778        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
779        echo " rm -f" $$list; \
780        rm -f $$list || exit $$?; \
781        test -n "$(EXEEXT)" || exit 0; \
782        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
783        echo " rm -f" $$list; \
784        rm -f $$list
785
786basic_ldap_auth$(EXEEXT): $(basic_ldap_auth_OBJECTS) $(basic_ldap_auth_DEPENDENCIES) $(EXTRA_basic_ldap_auth_DEPENDENCIES)
787        @rm -f basic_ldap_auth$(EXEEXT)
788        $(AM_V_CXXLD)$(CXXLINK) $(basic_ldap_auth_OBJECTS) $(basic_ldap_auth_LDADD) $(LIBS)
789
790mostlyclean-compile:
791        -rm -f *.$(OBJEXT)
792
793distclean-compile:
794        -rm -f *.tab.c
795
796@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_ldap_auth.Po@am__quote@
797
798.cc.o:
799@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
800@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
801@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
802@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
803@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
805
806.cc.obj:
807@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
808@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
809@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
810@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
811@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
812@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
813
814.cc.lo:
815@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
816@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
817@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
818@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
819@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
820@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
821
822mostlyclean-libtool:
823        -rm -f *.lo
824
825clean-libtool:
826        -rm -rf .libs _libs
827install-man8: $(man_MANS)
828        @$(NORMAL_INSTALL)
829        @list1=''; \
830        list2='$(man_MANS)'; \
831        test -n "$(man8dir)" \
832          && test -n "`echo $$list1$$list2`" \
833          || exit 0; \
834        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
835        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
836        { for i in $$list1; do echo "$$i"; done;  \
837        if test -n "$$list2"; then \
838          for i in $$list2; do echo "$$i"; done \
839            | sed -n '/\.8[a-z]*$$/p'; \
840        fi; \
841        } | while read p; do \
842          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
843          echo "$$d$$p"; echo "$$p"; \
844        done | \
845        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
846              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
847        sed 'N;N;s,\n, ,g' | { \
848        list=; while read file base inst; do \
849          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
850            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
851            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
852          fi; \
853        done; \
854        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
855        while read files; do \
856          test -z "$$files" || { \
857            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
858            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
859        done; }
860
861uninstall-man8:
862        @$(NORMAL_UNINSTALL)
863        @list=''; test -n "$(man8dir)" || exit 0; \
864        files=`{ for i in $$list; do echo "$$i"; done; \
865        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
866          sed -n '/\.8[a-z]*$$/p'; \
867        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
868              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
869        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
870
871ID: $(am__tagged_files)
872        $(am__define_uniq_tagged_files); mkid -fID $$unique
873tags: tags-am
874TAGS: tags
875
876tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
877        set x; \
878        here=`pwd`; \
879        $(am__define_uniq_tagged_files); \
880        shift; \
881        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
882          test -n "$$unique" || unique=$$empty_fix; \
883          if test $$# -gt 0; then \
884            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
885              "$$@" $$unique; \
886          else \
887            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
888              $$unique; \
889          fi; \
890        fi
891ctags: ctags-am
892
893CTAGS: ctags
894ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
895        $(am__define_uniq_tagged_files); \
896        test -z "$(CTAGS_ARGS)$$unique" \
897          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
898             $$unique
899
900GTAGS:
901        here=`$(am__cd) $(top_builddir) && pwd` \
902          && $(am__cd) $(top_srcdir) \
903          && gtags -i $(GTAGS_ARGS) "$$here"
904cscopelist: cscopelist-am
905
906cscopelist-am: $(am__tagged_files)
907        list='$(am__tagged_files)'; \
908        case "$(srcdir)" in \
909          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
910          *) sdir=$(subdir)/$(srcdir) ;; \
911        esac; \
912        for i in $$list; do \
913          if test -f "$$i"; then \
914            echo "$(subdir)/$$i"; \
915          else \
916            echo "$$sdir/$$i"; \
917          fi; \
918        done >> $(top_builddir)/cscope.files
919
920distclean-tags:
921        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
922
923# Recover from deleted '.trs' file; this should ensure that
924# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
925# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
926# to avoid problems with "make -n".
927.log.trs:
928        rm -f $< $@
929        $(MAKE) $(AM_MAKEFLAGS) $<
930
931# Leading 'am--fnord' is there to ensure the list of targets does not
932# expand to empty, as could happen e.g. with make check TESTS=''.
933am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
934am--force-recheck:
935        @:
936
937$(TEST_SUITE_LOG): $(TEST_LOGS)
938        @$(am__set_TESTS_bases); \
939        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
940        redo_bases=`for i in $$bases; do \
941                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
942                    done`; \
943        if test -n "$$redo_bases"; then \
944          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
945          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
946          if $(am__make_dryrun); then :; else \
947            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
948          fi; \
949        fi; \
950        if test -n "$$am__remaking_logs"; then \
951          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
952               "recursion detected" >&2; \
953        elif test -n "$$redo_logs"; then \
954          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
955        fi; \
956        if $(am__make_dryrun); then :; else \
957          st=0;  \
958          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
959          for i in $$redo_bases; do \
960            test -f $$i.trs && test -r $$i.trs \
961              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
962            test -f $$i.log && test -r $$i.log \
963              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
964          done; \
965          test $$st -eq 0 || exit 1; \
966        fi
967        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
968        ws='[   ]'; \
969        results=`for b in $$bases; do echo $$b.trs; done`; \
970        test -n "$$results" || results=/dev/null; \
971        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
972        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
973        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
974        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
975        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
976        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
977        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
978        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
979          success=true; \
980        else \
981          success=false; \
982        fi; \
983        br='==================='; br=$$br$$br$$br$$br; \
984        result_count () \
985        { \
986            if test x"$$1" = x"--maybe-color"; then \
987              maybe_colorize=yes; \
988            elif test x"$$1" = x"--no-color"; then \
989              maybe_colorize=no; \
990            else \
991              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
992            fi; \
993            shift; \
994            desc=$$1 count=$$2; \
995            if test $$maybe_colorize = yes && test $$count -gt 0; then \
996              color_start=$$3 color_end=$$std; \
997            else \
998              color_start= color_end=; \
999            fi; \
1000            echo "$${color_start}# $$desc $$count$${color_end}"; \
1001        }; \
1002        create_testsuite_report () \
1003        { \
1004          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1005          result_count $$1 "PASS: " $$pass  "$$grn"; \
1006          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1007          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1008          result_count $$1 "FAIL: " $$fail  "$$red"; \
1009          result_count $$1 "XPASS:" $$xpass "$$red"; \
1010          result_count $$1 "ERROR:" $$error "$$mgn"; \
1011        }; \
1012        {                                                               \
1013          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1014            $(am__rst_title);                                           \
1015          create_testsuite_report --no-color;                           \
1016          echo;                                                         \
1017          echo ".. contents:: :depth: 2";                               \
1018          echo;                                                         \
1019          for b in $$bases; do echo $$b; done                           \
1020            | $(am__create_global_log);                                 \
1021        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1022        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1023        if $$success; then                                              \
1024          col="$$grn";                                                  \
1025         else                                                           \
1026          col="$$red";                                                  \
1027          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1028        fi;                                                             \
1029        echo "$${col}$$br$${std}";                                      \
1030        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1031        echo "$${col}$$br$${std}";                                      \
1032        create_testsuite_report --maybe-color;                          \
1033        echo "$$col$$br$$std";                                          \
1034        if $$success; then :; else                                      \
1035          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1036          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1037            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1038          fi;                                                           \
1039          echo "$$col$$br$$std";                                        \
1040        fi;                                                             \
1041        $$success || exit 1
1042
1043check-TESTS:
1044        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1045        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1046        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1047        @set +e; $(am__set_TESTS_bases); \
1048        log_list=`for i in $$bases; do echo $$i.log; done`; \
1049        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1050        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1051        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1052        exit $$?;
1053recheck: all $(check_PROGRAMS)
1054        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1055        @set +e; $(am__set_TESTS_bases); \
1056        bases=`for i in $$bases; do echo $$i; done \
1057                 | $(am__list_recheck_tests)` || exit 1; \
1058        log_list=`for i in $$bases; do echo $$i.log; done`; \
1059        log_list=`echo $$log_list`; \
1060        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1061                am__force_recheck=am--force-recheck \
1062                TEST_LOGS="$$log_list"; \
1063        exit $$?
1064.test.log:
1065        @p='$<'; \
1066        $(am__set_b); \
1067        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1068        --log-file $$b.log --trs-file $$b.trs \
1069        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1070        "$$tst" $(AM_TESTS_FD_REDIRECT)
1071@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1072@am__EXEEXT_TRUE@       @p='$<'; \
1073@am__EXEEXT_TRUE@       $(am__set_b); \
1074@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1075@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1076@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1077@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1078
1079distdir: $(DISTFILES)
1080        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1081        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1082        list='$(DISTFILES)'; \
1083          dist_files=`for file in $$list; do echo $$file; done | \
1084          sed -e "s|^$$srcdirstrip/||;t" \
1085              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1086        case $$dist_files in \
1087          */*) $(MKDIR_P) `echo "$$dist_files" | \
1088                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1089                           sort -u` ;; \
1090        esac; \
1091        for file in $$dist_files; do \
1092          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1093          if test -d $$d/$$file; then \
1094            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1095            if test -d "$(distdir)/$$file"; then \
1096              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1097            fi; \
1098            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1099              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1100              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1101            fi; \
1102            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1103          else \
1104            test -f "$(distdir)/$$file" \
1105            || cp -p $$d/$$file "$(distdir)/$$file" \
1106            || exit 1; \
1107          fi; \
1108        done
1109check-am: all-am
1110        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1111        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1112check: check-am
1113all-am: Makefile $(PROGRAMS) $(MANS)
1114installdirs:
1115        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1116          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1117        done
1118install: install-am
1119install-exec: install-exec-am
1120install-data: install-data-am
1121uninstall: uninstall-am
1122
1123install-am: all-am
1124        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1125
1126installcheck: installcheck-am
1127install-strip:
1128        if test -z '$(STRIP)'; then \
1129          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1130            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1131              install; \
1132        else \
1133          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1134            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1135            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1136        fi
1137mostlyclean-generic:
1138        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1139        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1140        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1141
1142clean-generic:
1143        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1144
1145distclean-generic:
1146        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1147        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1148
1149maintainer-clean-generic:
1150        @echo "This command is intended for maintainers to use"
1151        @echo "it deletes files that may require special tools to rebuild."
1152clean: clean-am
1153
1154clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1155        clean-libtool mostlyclean-am
1156
1157distclean: distclean-am
1158        -rm -rf ./$(DEPDIR)
1159        -rm -f Makefile
1160distclean-am: clean-am distclean-compile distclean-generic \
1161        distclean-tags
1162
1163dvi: dvi-am
1164
1165dvi-am:
1166
1167html: html-am
1168
1169html-am:
1170
1171info: info-am
1172
1173info-am:
1174
1175install-data-am: install-man
1176
1177install-dvi: install-dvi-am
1178
1179install-dvi-am:
1180
1181install-exec-am: install-libexecPROGRAMS
1182
1183install-html: install-html-am
1184
1185install-html-am:
1186
1187install-info: install-info-am
1188
1189install-info-am:
1190
1191install-man: install-man8
1192
1193install-pdf: install-pdf-am
1194
1195install-pdf-am:
1196
1197install-ps: install-ps-am
1198
1199install-ps-am:
1200
1201installcheck-am:
1202
1203maintainer-clean: maintainer-clean-am
1204        -rm -rf ./$(DEPDIR)
1205        -rm -f Makefile
1206maintainer-clean-am: distclean-am maintainer-clean-generic
1207
1208mostlyclean: mostlyclean-am
1209
1210mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1211        mostlyclean-libtool
1212
1213pdf: pdf-am
1214
1215pdf-am:
1216
1217ps: ps-am
1218
1219ps-am:
1220
1221uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1222
1223uninstall-man: uninstall-man8
1224
1225.MAKE: check-am install-am install-strip
1226
1227.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1228        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1229        clean-libtool cscopelist-am ctags ctags-am distclean \
1230        distclean-compile distclean-generic distclean-libtool \
1231        distclean-tags distdir dvi dvi-am html html-am info info-am \
1232        install install-am install-data install-data-am install-dvi \
1233        install-dvi-am install-exec install-exec-am install-html \
1234        install-html-am install-info install-info-am \
1235        install-libexecPROGRAMS install-man install-man8 install-pdf \
1236        install-pdf-am install-ps install-ps-am install-strip \
1237        installcheck installcheck-am installdirs maintainer-clean \
1238        maintainer-clean-generic mostlyclean mostlyclean-compile \
1239        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1240        recheck tags tags-am uninstall uninstall-am \
1241        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1242
1243.PRECIOUS: Makefile
1244
1245
1246$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1247
1248# Tell versions [3.59,3.63) of GNU make to not export all variables.
1249# Otherwise a system limit (for SysV at least) may be exceeded.
1250.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.